/*
@ @licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2017 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "libzypp", "index.html", [
    [ "Welcome to libzypp", "index.html", [
      [ "What is libzypp?", "index.html#whatis", null ],
      [ "Implementation", "index.html#impl", null ],
      [ "Other functionality offered by libzypp", "index.html#otherfunc", null ],
      [ "3rd party software libzypp is based on", "index.html#thirdpfunc", null ],
      [ "Join the community", "index.html#join", null ],
      [ "License", "index.html#license", null ]
    ] ],
    [ "[Dropped in Code 15] Code 12 Application Metadata", "zypp-appdata.html", [
      [ "Intro", "zypp-appdata.html#zypp-appdata_intro", null ]
    ] ],
    [ "Code Pitfalls - Frequently made mistakes", "CodePitfalls.html", [
      [ "Comparing TriBool values", "CodePitfalls.html#TriBoolCompare", null ]
    ] ],
    [ "Environment Variables", "zypp-envars.html", [
      [ "Environment Variables", "zypp-envars.html#zypp-envars-intro", [
        [ "zypp config options", "zypp-envars.html#zypp-envars-config", null ],
        [ "Variables related to repositories", "zypp-envars.html#zypp-envars-repos", null ],
        [ "Variables related to commit", "zypp-envars.html#zypp-envars-commit", null ],
        [ "Variables related to logging", "zypp-envars.html#zypp-envars-logging", null ],
        [ "Selecting the mediabackend to use.", "zypp-envars.html#zypp-envars-mediabackend", null ],
        [ "Variables related to plugins", "zypp-envars.html#zypp-envars-plugin", null ],
        [ "Variables not for common use (test and debug)", "zypp-envars.html#zypp-envars-misc", null ]
      ] ]
    ] ],
    [ "Testing for provided features.", "feature-test.html", [
      [ "Introduction", "feature-test.html#intro", null ],
      [ "Features", "feature-test.html#features", null ]
    ] ],
    [ "Hardware (modalias) dependencies", "zypp-modalias.html", null ],
    [ "Code 12 Pattern Packages", "zypp-pattern-packages.html", [
      [ "Intro", "zypp-pattern-packages.html#zypp-pattern-packages_intro", null ]
    ] ],
    [ "Extending ZYpp: Plugins and Hooks", "zypp-plugins.html", "zypp-plugins" ],
    [ "Repository Variables", "zypp-repovars.html", [
      [ "Repository Variables", "zypp-repovars.html#zypp-repovars-intro", [
        [ "Builtin repository variables", "zypp-repovars.html#zypp-repoars-builtin", null ],
        [ "User defined repository variables [requires 'libzypp(repovarexpand) >= 1']", "zypp-repovars.html#zypp-repoars-userdefined", null ]
      ] ]
    ] ],
    [ "Services", "zypp-services.html", [
      [ "Classes of services", "zypp-services.html#service-types", [
        [ "Remote Services", "zypp-services.html#services-remote", null ],
        [ "Plugin Services", "zypp-services.html#services-plugin", null ]
      ] ],
      [ "Refreshing services", "zypp-services.html#service-refresh", null ],
      [ "Example usecases", "zypp-services.html#service-examples", [
        [ "Usecase #1: The project with multiple repositories and layers", "zypp-services.html#services-usecase-1", null ],
        [ "Usecase #2: Update repositories based on the customer", "zypp-services.html#services-usecase-2", null ],
        [ "Usecase #3: Dynamic repository collections", "zypp-services.html#services-usecase-3", null ],
        [ "Usecase #4: Collect openSUSE core repos in one service", "zypp-services.html#services-usecase-4", null ]
      ] ],
      [ "Developers: Implementation", "zypp-services.html#service-impl", null ]
    ] ],
    [ "Solver - Vendor protection", "pg_zypp-solv-vendorchange.html", [
      [ "Vendor protection rule", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange", [
        [ "The vendor protection rule is quite simple:", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-rule", null ]
      ] ],
      [ "Vendor protection tuning", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-tune", [
        [ "Groups of equivalent vendor strings", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-equiv", null ]
      ] ],
      [ "Related classes", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-Impl", null ]
    ] ],
    [ "Writing and tunning testcases", "Testcases.html", [
      [ "Introduction", "Testcases.html#Introduction", null ],
      [ "Anatomy of a ZYpp testcase", "Testcases.html#Anatomy", null ],
      [ "Building and running the testsuite", "Testcases.html#Building", null ],
      [ "References", "Testcases.html#References", null ]
    ] ],
    [ "Libzypp and threads", "thread.html", [
      [ "Libzypp and threads", "thread.html#thread_intro", [
        [ "Logging in threads", "thread.html#thread_loggin", null ]
      ] ]
    ] ],
    [ "User data as transaction id", "zypp-userdata.html", [
      [ "Introduction", "zypp-userdata.html#userdata-introduction", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"Algorithm_8h.html",
"Dep_8h_source.html",
"Json_8h.html#a61c2f28248242af88fee5b343ff253ab",
"MediaSource_8h.html#a99d4d6dd3b34a8f813d5e19e889ac4bd",
"ProblemTypes_8h.html#af6f748c10ae9f94534b7bc7ac0c9ba2a",
"ResFilters_8h.html#gab7543c7d6ede0dac87c2a13a2cbcbf56",
"Signal_8h_source.html",
"Testcase__helix_8cc.html",
"base_2Logger_8h.html",
"classzypp_1_1C__Str.html#abe3d9fc8cb6552edc5e8a4e0b9e1a70a",
"classzypp_1_1ChecksumFileChecker.html#aa72c3808ef4e59438ac80ba451fa291d",
"classzypp_1_1DiskUsageCounter.html#a2b42e99f787fde98fda04b7fdb017aae",
"classzypp_1_1HistoryLogData.html#a99d24820fc7df1d4204c8b386ed1d604",
"classzypp_1_1InstanceId.html#aea95778a00ee85bde93645a3369e5bf6",
"classzypp_1_1Match.html#aac3ebdbe85c558d6e057f32094c47b97",
"classzypp_1_1PluginExecutor.html#ab337837061a8ef89198eafb92cac59b9",
"classzypp_1_1PoolQuery.html#ade0d08140af2fabdc78be278892b5629",
"classzypp_1_1PublicKeyData.html#a5680e96b56d115eecdcd86c50756395e",
"classzypp_1_1Repository_1_1ProductInfoIterator.html#a561dc5d3fc157aa0bde383cb1a9ab21a",
"classzypp_1_1ResStatus.html#a673cf77f5529e0248b63f3c7d37a08b9",
"classzypp_1_1ServiceInfo.html#a229945a05c3530f34d35e6c24d5cf807",
"classzypp_1_1Url.html#af953bc9f3df9ef98d34ee34b7b7ee265",
"classzypp_1_1ZYpp.html#a92188817ed3453dc19c3e24e5ef6e7cd",
"classzypp_1_1base_1_1LogControl.html#aae279d0d2f4cfe800a3148a16f7ddfa6",
"classzypp_1_1detail_1_1zckstreambufimpl.html#aa662ed3de29fb7bf69469e52e1f111a9",
"classzypp_1_1filesystem_1_1TmpDir.html#af02d2f29bbb2f688923b601eab777311",
"classzypp_1_1media_1_1MediaHandler.html",
"classzypp_1_1media_1_1multifetchrequest.html#a05cc55fb2445fe805d3c3ca85db81554",
"classzypp_1_1parser_1_1ProductFileData.html#ae21053856e15654f5547b3b1d675110b",
"classzypp_1_1repo_1_1RepoInfoBase.html#a80cd6c8e721cfee8d51bca8d5d950e85",
"classzypp_1_1sat_1_1LookupAttr.html#abd10d55df21f8e0606f715fe7e9c3ad7",
"classzypp_1_1sat_1_1SolvAttr.html#a2e155d83096ca56e8b331b1106408e68",
"classzypp_1_1sat_1_1SolvableSpec.html#ac3ac94ae37ef0eeb9bf0be133f1ec1ca",
"classzypp_1_1sat_1_1detail_1_1Transaction__const__iterator.html",
"classzypp_1_1target_1_1CommitPackageCache_1_1Impl.html",
"classzypp_1_1target_1_1rpm_1_1RpmDb.html#a07c3c1ef29e4886148844c5b4fe37dd0",
"classzypp_1_1target_1_1rpm_1_1librpmDb_1_1db__const__iterator.html#af88d556092ef6de54ab7487a89531a1a",
"classzypp_1_1url_1_1UrlNotAllowedException.html#a3139364e163920e668912da7637bb078",
"classzypp__private_1_1repo_1_1PluginRepoverification_1_1Impl.html#a546c686c25f1fbde25b0158dd6bd857a",
"core_2base_2String_8h.html#a273ee551295504e431587cf9ae7b76ce",
"core_2url_2UrlUtils_8h.html#a54f9d28db0d9c518dc21a3eb080d8e46",
"group__BOOST.html#gad228c7343f60318e4c045a2ae77e9c39",
"namespaceMediaSetAccess.html",
"progressdata_8cc.html",
"structzypp_1_1Date_1_1EDateFormatDef.html#adcbe34976ae1ada91d8ee956773399c0a9b077125044a4052cc2b5133300931df",
"structzypp_1_1KeyRingReport.html#a227d03a0f8b404ac6e161f85d3157d54",
"structzypp_1_1ProgressReportAdaptor.html#a623b5bfa5d0df6503fb06cf90ddc0aa7",
"structzypp_1_1RepoManager.html#a32acf0f8c4218d50cf1a4859dcd2131d",
"structzypp_1_1SavingLocksReport.html#afbc37a579764f89a9bcfcd258840c351",
"structzypp_1_1callback_1_1DistributeReport.html#aa0ca3472aca50d2bf9828e314832aad8",
"structzypp_1_1log_1_1StdoutLineWriter.html",
"structzypp_1_1repo_1_1PluginServiceRepos.html#ae5345a41f06a1d88cf8fc2ca0ec712c7",
"structzypp_1_1sat_1_1SolvableType.html#a88ae5b8473fa4a2b9519ca257cb34fec",
"structzypp_1_1target_1_1rpm_1_1InstallResolvableReportSA.html#a6764f1956e98284cfc627d8052b37fdcaee64ae58b307fa198c1232222ad50cef",
"structzypp_1_1xml_1_1ParseDefConsume.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';